# Terms of Service

The License and Terms of Service for the TrackJS Browser Error Monitoring Agent is located at https://trackjs.com/terms/. The text is copied here for reference, please visit the link for official terms.

---

These Terms of Service governs the use of the TrackJS Service (The “Service”) operated by TrackJS, LLC (or “TrackJS”). This Agreement sets forth the legally binding terms and conditions for your use of trackjs.com (the “Site”). “You” or similar terms means you, the person accessing trackjs.com, the business or entity on whose behalf you access trackjs.com, as well as any person on whose behalf you are using trackjs.com or who may have rights through you.

By creating an account, by logging into the Service, and/or by accessing or using the Site in any manner, including, but not limited to, visiting or browsing the Site or contributing content or other materials to the Site, you acknowledge that you have reviewed and accept the terms of service, agree to become bound by its terms, and certify that you are an authorized representative of the entity purchasing the service, and that you have the right and authority to enter into this agreement on the entity’s behalf.

## Account Terms

- You must be at least 13 years or older to use TrackJS.
- You may not have more than one free account at a time.

## Grant of License and Restrictions on Use

Subject to the terms of this Agreement and proper payment to TrackJS, TrackJS grants you a non-exclusive, non-transferable, limited right to use the Service and Error Tracking Agents (The “Agents”) solely for your own internal business purposes for the term of this Agreement. You may embed the Agents within your own materially-larger software product or similar item (“Customer’s Product”) and you may distribute the Agents to third parties as a supporting and component part of Customer’s Product, but you may not distribute the Service or Agents as a stand-alone or primary element to any third party. In addition, you will not (and you will not allow any thirty party to): copy, distribute, rent, lease, transfer or sublicense all or any portion of the Service or Agents to any third party other than as part of Customer’s Product explicitly permitted above; modify or prepare derivative works of the Service or Agents; use the Service or Agents in any commercial context or for any commercial purpose or in any commercial product including reselling the Service or Agents other than as permitted above as part of Customer’s Product; use the Service or Agents in any manner that threatens the integrity, performance or availability of the Service; or reverse engineer, decompile, or disassemble the Service or Agents.

## Grant of License to TrackJS

You grant TrackJS a worldwide right to use, store, and reproduce the data gathered by TrackJS of your website (the “Data”) as necessary for TrackJS to (i) create reports or statistics of the Data for you; (ii) provide Service to you; and (iii) create reports or statistics using the Data in the aggregate, provided that no such report identifies you by name or other distinguishing mark.

## Ownership

You acknowledge that the Service and Agents are the exclusive property of TrackJS. TrackJS retains all rights, title and interest in and to copyrights, trade secrets, trademarks and other intellectual property rights in the Services and Agents and you shall not acquire any right, title, or interest in the Services and/or Agents, except the right to use it in accordance with this Agreement. Any rights to the Services and/or Agents granted are licensed and not sold.

## Term and Termination

Either party may terminate this Agreement at any time with notice. Upon termination TrackJS will stop providing and you will stop accessing Services. Further, all rights and license to the Agents immediately terminate, you will immediately stop using the Agents in any way, and you will immediately delete and not retain any and all copies of the Agents in your possession or control. In the event of any termination you will not be entitled to any refunds or any other fees. This Agreement will automatically terminate if you do not comply with any terms or conditions of this Agreement, including paying for the Services. All terms of this Agreement which by this nature are intended to survive termination of this Agreement shall survive.

## Warranty Disclaimers

TO THE FULLEST EXTENT PERMITTED BY APPLICABLE LAW, EXCEPT AS EXPRESSLY PROVIDED FOR IN THIS AGREEMENT, THE AGENTS AND SERVICES ARE BEING PROVIDED “AS IS” AND “AS AVAILABLE” WITHOUT WARRANTY OF ANY KIND. TRACKJS DOES NOT WARRANT THAT THE SERVICE WILL MEET CUSTOMER’S REQUIREMENTS. TRACKJS HEREBY DISCLAIMS ALL WARRANTIES, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, WITHOUT LIMITATION, ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND ANY WARRANTIES AS TO NON-INFRINGEMENT.

## Limitation of Liability

TRACKJS’ ENTIRE LIABILITY UNDER, FOR BREACH OF, OR ARISING OUT OF THIS AGREEMENT AND/OR RELATED TO THIS AGREEMENT, THE AGENTS AND SERVICES, IS LIMITED TO THE PAYMENTS ACTUALLY MADE BY THE CUSTOMER FOR THE SERVICE DURING THE TWELVE (12) MONTHS PRIOR TO THE DATE OF THE EVENT GIVING RISE TO ANY LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, TORT, CONTRACT, OR OTHERWISE, SHALL TRACKJS BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL INCIDENTAL, EXEMPLARY, PUNITIVE OR CONSEQUENTIAL DAMAGES OF ANY KIND, INCLUDING WITHOUT LIMITATION, LOST PROFITS, LOSSES OR EXPENSES, WHETHER OR NOT TRACKJS WAS ADVISED OF, KNEW OF SHOULD HAVE KNOWN OF THE POSSIBILITY OF SUCH LOSS OR DAMAGE.

## Indemnification

You agree to indemnify and hold TrackJS, and its subsidiaries, affiliates, officers, directors, agents, partners and employees, harmless from any claim or demand, including reasonable attorneys’ fees, made by any third party due to or arising out of the Services provided under this Agreement or any act or omission by you (including the entity on whose behalf you are entering into this Agreement). This indemnity obligation will survive the expiration or termination of this Agreement by either party for any reason.

## Confidentiality

TrackJS acknowledges that you may disclose non-public, confidential information to TrackJS under this Agreement and you acknowledge that the Agents and Services provided to you, and the terms and conditions of this Agreement are confidential and proprietary to TrackJS. Each party agrees to take all reasonably necessary action, including appropriate instructions and agreements with employees and agents, to protect such confidential and proprietary information of the other party from unauthorized disclosure. In the event of any breach of this section, each party acknowledges that the non-breaching party would suffer irreparable harm and shall therefore be entitled to seek injunctive relief without the necessity of posting bond. You also acknowledge that infringement or unauthorized copying of the intellectual property of TrackJS would cause irreparable harm to TrackJS.

## Publicity

You are permitted to state publicly that you are a Subscriber of TrackJS. You agree that TrackJS may include your name and trademarks in a list of TrackJS Customers, online or in promotional materials. You also agree that TrackJS may verbally reference you as a customer of the Service. You may opt out of the provisions in this Section by e-mailing a request to hello@trackjs.com.

## Governing Law and Venue

The Site is controlled and operated within the United States, and is not intended to subject TrackJS to any the law or jurisdiction outside of the United States. The Site does not constitute any contract with any jurisdiction outside the State of Minnesota. Use of this Site is prohibited in any jurisdiction having laws that would void this Agreement in whole or essential part or which makes accessing the Site illegal. This Agreement is entered into and performed in the State of Minnesota, United States of America. It is governed by and shall be construed under the laws of Minnesota, exclusive of any choice of law or conflict of laws provisions. In any claim or action directly or indirectly arising under this Agreement or related to the Site, Services or Agents, each party irrevocably submits to the personal jurisdiction of the Minnesota State District Court sitting in Washington County, Minnesota or of the United States Court for the District of Minnesota. Each party waives any jurisdictional, venue or inconvenient forum objections to these courts. You agree that you shall pursue any claim against TrackJS in your individual capacity only, and you will not participate in any collective or so-called “class” action against us.

## General Provisions

This Agreement is the complete and exclusive statement of the agreement between us concerning its subject matter and supersedes all prior agreements and representations between the parties. Any waiver of or modification to the terms of this Agreement will not be effective unless executed in writing and signed by TrackJS. If any provision of this Agreement is held to be unenforceable, in whole or in part, such holding shall not affect the validity of the other provisions of this Agreement. The software is controlled by U.S. Export Regulations, and it may not be exported to or used by embargoed countries or individuals. You may not assign this Agreement or any license granted under this Agreement without our prior written consent, which may be granted or not granted in our sole judgment. By agreeing to this Agreement you also agree to our collection, use and disclosure of information as described in the most-recent version of our Privacy Policy [https://trackjs.com/privacy] which is incorporated here by reference.

## Changes To This Agreement

TrackJS reserves the right, at our sole discretion, to modify or replace these Terms of Service by posting the updated terms on the Site. Your continued use of the Site after any such changes constitutes your acceptance of the new Terms and Conditions.

Please review this Agreement periodically for changes. If you do not agree to any of this Agreement or any changes to this Agreement, do not use, access or continue to access the Site or discontinue any use of the Site immediately.
