import { TrackJSCapturePayload, TrackJSInstallOptions, TrackJSOptions } from "./types";
import { TelemetryBuffer } from "./telemetry";
import { Metadata } from "./Metadata";
import { Environment } from "./Environment";
import { TrackJSEntry } from "./types/TrackJSCapturePayload";
export declare class Agent {
    static defaults: TrackJSOptions;
    environment: Environment;
    metadata: Metadata;
    options: TrackJSOptions;
    telemetry: TelemetryBuffer;
    private _onErrorFns;
    constructor(options: TrackJSInstallOptions);
    captureError(error: Error, entry: TrackJSEntry): boolean;
    captureUsage(): void;
    clone(options?: TrackJSOptions): Agent;
    configure(options: TrackJSOptions): void;
    createErrorReport(error: Error, entry: TrackJSEntry): TrackJSCapturePayload;
    onError(func: (payload: TrackJSCapturePayload) => boolean): void;
}
