"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.AgentRegistrar = void 0;
var domain_1 = __importDefault(require("domain"));
var _AgentRegistrar = (function () {
    function _AgentRegistrar() {
        this._ref = Symbol("TrackJS Agent Registrar");
    }
    _AgentRegistrar.prototype.init = function (primaryAgent) {
        this._primaryAgent = primaryAgent;
    };
    _AgentRegistrar.prototype.getCurrentAgent = function (activeDomain) {
        activeDomain = activeDomain || domain_1["default"]["active"];
        if (!activeDomain) {
            return this._primaryAgent;
        }
        if (!activeDomain[this._ref]) {
            var domainAgent = this._primaryAgent.clone();
            activeDomain[this._ref] = domainAgent;
        }
        return activeDomain[this._ref];
    };
    _AgentRegistrar.prototype.close = function () {
        this._primaryAgent = null;
    };
    return _AgentRegistrar;
}());
exports.AgentRegistrar = new _AgentRegistrar();
