"use strict";
exports.__esModule = true;
exports.captureFault = void 0;
var Transmitter_1 = require("./Transmitter");
var AgentRegistrar_1 = require("./AgentRegistrar");
var serialize_1 = require("./utils/serialize");
var isType_1 = require("./utils/isType");
var Agent_1 = require("./Agent");
var version_1 = require("./version");
function captureFault(fault) {
    var error = (0, isType_1.isError)(fault) ? fault : new Error((0, serialize_1.serialize)(fault));
    var agent = AgentRegistrar_1.AgentRegistrar.getCurrentAgent();
    var agentOptions = agent ? agent.options : Agent_1.Agent.defaults;
    (0, Transmitter_1.transmit)({
        url: agentOptions.faultURL,
        method: "GET",
        queryParams: {
            token: agentOptions.token,
            file: "",
            msg: error.message,
            stack: (error.stack || "").substr(0, 1000),
            url: "",
            a: version_1.RELEASE_NAME,
            v: version_1.RELEASE_VERSION,
            h: version_1.RELEASE_HASH
        }
    });
}
exports.captureFault = captureFault;
