"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.transmit = void 0;
var https_1 = __importDefault(require("https"));
var url_1 = require("url");
var types_1 = require("./types");
var userAgent_1 = require("./utils/userAgent");
var Fault_1 = require("./Fault");
function transmit(options) {
    var url = new url_1.URL(options.url);
    if (url.protocol !== "https:") {
        throw new types_1.TrackJSError("unsupported url ".concat(options.url));
    }
    if (options.queryParams) {
        url.search = new url_1.URLSearchParams(options.queryParams).toString();
    }
    var req = https_1["default"].request({
        method: options.method,
        hostname: url.hostname,
        port: url.port,
        path: "".concat(url.pathname).concat(url.search),
        __trackjs__: true
    }, function (resp) { return null; });
    if (options.method === "POST" && options.payload) {
        var body = JSON.stringify(options.payload);
        req.setHeader("User-Agent", userAgent_1.userAgent);
        req.write(body);
    }
    if (options.url.indexOf("fault.gif") < 0) {
        req.on("error", Fault_1.captureFault);
    }
    req.end();
}
exports.transmit = transmit;
