"use strict";
exports.__esModule = true;
exports.truncate = void 0;
var truncateString_1 = require("../utils/truncateString");
var MAX_SIZE = 100000;
function getByteLength(str) {
    return Buffer.byteLength(str, "utf8");
}
function isConsoleTelemetryTooBig(payload) {
    return (payload.console.reduce(function (prev, curr) {
        return prev + (curr.message || "").length;
    }, 0) >= 80000);
}
function truncate(payload) {
    if (getByteLength(JSON.stringify(payload)) < MAX_SIZE) {
        return true;
    }
    var nextConsoleTruncationIdx = 0;
    while (isConsoleTelemetryTooBig(payload) && nextConsoleTruncationIdx < payload.console.length) {
        payload.console[nextConsoleTruncationIdx].message = (0, truncateString_1.truncateString)(payload.console[nextConsoleTruncationIdx].message, 1000);
        nextConsoleTruncationIdx++;
    }
    return true;
}
exports.truncate = truncate;
