import { TrackJSInstallOptions, TrackJSOptions, TrackJSCapturePayload } from "./types";
import { expressMiddleware, expressErrorMiddleware } from "./handlers/express";
export declare function isInstalled(): boolean;
export declare function install(options: TrackJSInstallOptions): void;
export declare function uninstall(): void;
export declare function configure(options: TrackJSOptions): void;
export declare function addMetadata(meta: string | {
    [key: string]: string;
}, value?: string): void;
export declare function removeMetadata(meta: string | {
    [key: string]: string;
}): void;
export declare function addLogTelemetry(severity: string, ...messages: any): void;
export declare function onError(func: (payload: TrackJSCapturePayload) => boolean): void;
export declare function usage(): void;
export declare function track(data: any, options?: TrackJSOptions): Error;
export declare const Handlers: {
    expressErrorHandler(): expressErrorMiddleware;
    expressRequestHandler(): expressMiddleware;
};
