"use strict";
exports.__esModule = true;
exports.ConsoleTelemetry = void 0;
var serialize_1 = require("../utils/serialize");
var ConsoleTelemetry = (function () {
    function ConsoleTelemetry(severity, messages) {
        this.severity = ConsoleTelemetry.normalizeSeverity(severity);
        this.message = (0, serialize_1.serialize)(messages.length === 1 ? messages[0] : messages);
        this.timestamp = new Date().toISOString();
    }
    ConsoleTelemetry.normalizeSeverity = function (severity) {
        severity = severity.toLowerCase();
        if (["debug", "info", "warn", "error", "log"].indexOf(severity) < 0) {
            return "log";
        }
        return severity;
    };
    return ConsoleTelemetry;
}());
exports.ConsoleTelemetry = ConsoleTelemetry;
