export interface TrackJSCapturePayload {
    agentPlatform?: string;
    bindStack?: string;
    bindTime?: string;
    console: Array<TrackJSConsole>;
    customer: {
        application: string;
        correlationId?: string;
        sessionId: string;
        token: string;
        userId: string;
        version: string;
    };
    entry: TrackJSEntry;
    environment: {
        age: number;
        dependencies: {
            [name: string]: string;
        };
        originalUrl: string;
        referrer: string;
        userAgent: string;
        viewportHeight?: number;
        viewportWidth?: number;
    };
    file: string;
    message: string;
    metadata: Array<TrackJSMetadata>;
    nav: Array<{}>;
    network: Array<TrackJSNetwork>;
    url: string;
    stack: string;
    throttled: number;
    timestamp: string;
    visitor: Array<{}>;
    version: string;
}
export interface TrackJSConsole {
    timestamp: string;
    severity: string;
    message: string;
}
export interface TrackJSMetadata {
    key: string;
    value: string;
}
export interface TrackJSNetwork {
    completedOn: string;
    method: string;
    requestCorrelationId?: string;
    startedOn: string;
    statusCode: number;
    statusText: string;
    type: string;
    url: string;
}
export declare enum TrackJSEntry {
    Console = "console",
    Direct = "direct",
    Express = "express",
    Global = "global",
    Network = "ajax",
    Promise = "promise"
}
