"use strict";
exports.__esModule = true;
exports.cli = void 0;
var child_process_1 = require("child_process");
function cli(command) {
    return new Promise(function (resolve, reject) {
        var args = command.split(" ").splice(1);
        var exe = command.split(" ")[0];
        var action = (0, child_process_1.exec)(command, function (error, stdout, stderr) {
            if (error || stderr) {
                reject(error || stderr);
            }
            else {
                resolve(stdout);
            }
        });
        action.stdout.on("data", resolve);
        action.stderr.on("data", reject);
        action.on("close", function (code) {
            if (code != 0) {
                reject(code);
            }
            else {
                resolve("code 0");
            }
        });
    });
}
exports.cli = cli;
