"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
exports.__esModule = true;
exports.serialize = void 0;
var isType = __importStar(require("./isType"));
function serializeElement(el) {
    var htmlTagResult = "<" + el.tagName.toLowerCase();
    var attributes = el["attributes"] || [];
    for (var idx = 0; idx < attributes.length; idx++) {
        htmlTagResult += " " + attributes[idx].name + '="' + attributes[idx].value + '"';
    }
    return htmlTagResult + ">";
}
function serialize(thing) {
    if (thing === "") {
        return "Empty String";
    }
    if (thing === undefined) {
        return "undefined";
    }
    if (isType.isString(thing) || isType.isNumber(thing) || isType.isBoolean(thing) || isType.isFunction(thing)) {
        return "" + thing;
    }
    if (isType.isElement(thing)) {
        return serializeElement(thing);
    }
    if (typeof thing === "symbol") {
        return Symbol.prototype.toString.call(thing);
    }
    var result;
    try {
        result = JSON.stringify(thing, function (key, value) {
            if (value === undefined) {
                return "undefined";
            }
            if (isType.isNumber(value) && isNaN(value)) {
                return "NaN";
            }
            if (isType.isError(value)) {
                return {
                    name: value["name"],
                    message: value["message"],
                    stack: value["stack"]
                };
            }
            if (isType.isElement(value)) {
                return serializeElement(value);
            }
            return value;
        });
    }
    catch (e) {
        var unserializableResult = "";
        for (var key in thing) {
            if (!thing.hasOwnProperty(key)) {
                continue;
            }
            unserializableResult += ',"' + key + '":"' + thing[key] + '"';
        }
        result = unserializableResult ? "{" + unserializableResult.replace(",", "") + "}" : "Unserializable Object";
    }
    return result.replace(/"undefined"/g, "undefined").replace(/"NaN"/g, "NaN");
}
exports.serialize = serialize;
