"use strict";
exports.__esModule = true;
exports.ExceptionWatcher = void 0;
var AgentRegistrar_1 = require("../AgentRegistrar");
var TrackJSCapturePayload_1 = require("../types/TrackJSCapturePayload");
var _ExceptionWatcher = (function () {
    function _ExceptionWatcher() {
    }
    _ExceptionWatcher.prototype.install = function () {
        process.on("uncaughtException", this.handleException);
    };
    _ExceptionWatcher.prototype.uninstall = function () {
        process.off("uncaughtException", this.handleException);
    };
    _ExceptionWatcher.prototype.handleException = function (error) {
        AgentRegistrar_1.AgentRegistrar.getCurrentAgent().captureError(error, TrackJSCapturePayload_1.TrackJSEntry.Global);
    };
    return _ExceptionWatcher;
}());
exports.ExceptionWatcher = new _ExceptionWatcher();
