"use strict";
exports.__esModule = true;
exports.RejectionWatcher = void 0;
var AgentRegistrar_1 = require("../AgentRegistrar");
var isType_1 = require("../utils/isType");
var serialize_1 = require("../utils/serialize");
var TrackJSCapturePayload_1 = require("../types/TrackJSCapturePayload");
var _RejectionWatcher = (function () {
    function _RejectionWatcher() {
    }
    _RejectionWatcher.prototype.install = function () {
        process.on("unhandledRejection", this.rejectionHandler);
    };
    _RejectionWatcher.prototype.uninstall = function () {
        process.off("unhandledRejection", this.rejectionHandler);
    };
    _RejectionWatcher.prototype.rejectionHandler = function (reason, promise) {
        var error = (0, isType_1.isError)(reason) ? reason : new Error((0, serialize_1.serialize)(reason));
        var agent = AgentRegistrar_1.AgentRegistrar.getCurrentAgent(promise && promise.domain);
        agent.captureError(error, TrackJSCapturePayload_1.TrackJSEntry.Promise);
    };
    return _RejectionWatcher;
}());
exports.RejectionWatcher = new _RejectionWatcher();
